Amd 드라이버를 다운받아서 설치하는데 찝찝한 오류가나네요

amd 드라이버 설치 중 fglrx 설치가 덜된거 같아 질문드립니다.

amd 드라이버는 설치가 끝나서 재부팅 하라고 말을 하더군요.
재부팅하고 화면효과를 설정하려는데 먹히질 않으니, 계속 구글링하다가 글올립니다.

Supported adapter detected.
Detected a previous installation, /usr/share/ati/amd-uninstall.sh
Dryrun uninstall succeeded continuing with installation.
Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Forcing uninstall of AMD Catalyst™ Proprietary Driver.
No integrity verification is done.
restore of system environment completed
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
/usr/share/ati/amd-uninstall.sh completed with 0
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko .a .?? *.symvers
make -C /lib/modules/2.6.32-55-generic/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory /usr/src/linux-headers-2.6.32-55-generic' CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o /lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.c: In function ‘KCL_IOMMU_CheckInfo’: /lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.c:191: error: ‘struct dev_archdata’ has no member named ‘iommu’ make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o] 오류 1 make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] 오류 2 make[1]: Leaving directory /usr/src/linux-headers-2.6.32-55-generic’
make: *** [kmod_build] 오류 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
[Reboot] Kernel Module : update-initramfs

amd 드라이버 설치중 로그를 살펴보라고해서 로그를 가지고 와봤습니다.
뭐 모듈버전이 안맞다고 하는거 같은데 저는 뭔말인지 모르겟군요 …

우분투 버전이 낮아서 그런가요 …? 유니티 적응이안되서 10.04 쓰고있는데 …

다시 판올림하면 좀 번거로운 감이 있을거 같아서요,

이걸 어떻게 해결하면 좋을까요 ㅠㅠ

말씀하신 대로 모듈 생성시 컴파일 에러가 발생한 것 같습니다.

fglx의 버전이 어떤지 모르겠으나 최신 드라이버를 다운 받으시고
아래 링크를 참조하여 새로 설치 하시기 바랍니다.

[url:12tv8pl1]http://www.ubuntu.or.kr/viewtopic.php?f=20&t=25684[/url:12tv8pl1]

또는 AMD Wiki 중 아래 링크 Lucid 부분을 참조 하십시오.
[url:12tv8pl1]http://wiki.cchtml.com/index.php/Ubuntu_Lucid_Installation_Guide[/url:12tv8pl1]

저도 amd드라이버 설치하다가 정말 스트레스 받았는데
일단 제일 중요한게 버전을 잘골라야 되요…
정식버전은 설치하지 마시고…
베타버전으로(아마 14.1 베타) 하시면 컴파일 잘되고 설치도 잘 될것 같네요